package cn.freemud.management.enums;

/**
 * @author : xh.Z
 * @email : fisherman0510@163.com
 * @Date : 2022/6/22 14:22
 * @description : 售后单 退款状态
 */
public enum AfterSalesRefunStateEnum {

    STATE_0(0, "未定义（存量数据）"),
    STATE_1(1, "未退款"),
    STATE_2(2, "退款中"),
    STATE_3(3, "退款失败"),
    STATE_4(4, "已退款"),
    ;

    private Integer index;
    private String desc;

    public Integer getIndex() {
        return this.index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public String getDesc() {
        return this.desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    private AfterSalesRefunStateEnum(Integer index, String desc) {
        this.index = index;
        this.desc = desc;
    }
}
